package com.macro.mall.tiny.modules.business.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 线路表
 * </p>
 *
 * @author macro
 * @since 2021-03-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_line")
@ApiModel(value="BLine对象", description="线路表")
public class BLine implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "线路ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "线路名称")
    private String name;

    @ApiModelProperty(value = "线路所属省份")
    private Long provinceId;

    @ApiModelProperty(value = "所属省份")
    @TableField(exist = false)
    private String province;

    @ApiModelProperty(value = "创建者ID")
    private Long creatorId;


    @ApiModelProperty(value = "包含铁塔")
    @TableField(exist = false)
    private List<BTower> towerList;

    @ApiModelProperty(value = "匹配塔形关键字")
    @TableField(exist = false)
    private Set<String> matchShapeList;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
