package com.macro.mall.tiny.modules.business.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;
import java.util.Set;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author macro
 * @since 2021-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("kr_b_line")
@ApiModel(value="KrBLine对象", description="线路表")
public class KrBLine implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "线路表")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "省份id")
    private String provinceId;

    @ApiModelProperty(value = "所属省份")
    @TableField(exist = false)
    private String province;

    @ApiModelProperty(value = "城市id")
    private String cityId;

    @ApiModelProperty(value = "所属城市")
    @TableField(exist = false)
    private String city;

    @ApiModelProperty(value = "线路名称")
    private String lineName;

    @ApiModelProperty(value = "机器人名称")
    private String robotName;

    @ApiModelProperty(value = "电压等级，例：直流220kV，交流xkV")
    private String voltage;

    @ApiModelProperty(value = "线路状态：在运，停运")
    private String lineStatus;

    @ApiModelProperty(value = "投运时间")
    private Date serviceBegintime;

    @ApiModelProperty(value = "机器运行的起始杆塔")
    private String beginTower;

    @ApiModelProperty(value = "机器运行的终止杆塔")
    private String endTower;

    @ApiModelProperty(value = "创建人")
    private Integer creatorId;

    @ApiModelProperty(value = "包含铁塔")
    @TableField(exist = false)
    private List<BTower> towerList;

    @ApiModelProperty(value = "匹配塔形关键字")
    @TableField(exist = false)
    private Set<String> matchShapeList;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
