package com.macro.mall.tiny.modules.business.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author macro
 * @since 2021-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("kr_b_tower")
@ApiModel(value="KrBTower对象", description="杆塔表")
public class KrBTower implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "杆塔详情表")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "线路ID")
    private Integer lineId;

    @ApiModelProperty(value = "杆塔序号（对应机器巡检方案号）")
    private Integer towerIndex;

    @ApiModelProperty(value = "杆塔名称")
    private String towerName;

    @ApiModelProperty(value = "杆塔编号（SDG-18，SZT1-24等）")
    private String towerNumber;

    @ApiModelProperty(value = "金具串型号")
    private String hardwareType;

    @ApiModelProperty(value = "经度")
    private Double longitude;

    @ApiModelProperty(value = "纬度")
    private Double latitude;

    @ApiModelProperty(value = "杆塔性质（直线塔、耐张塔）")
    private String type;

    @ApiModelProperty(value = "是否为太阳能基站塔")
    private Integer isStation;

    @ApiModelProperty(value = "是否为微气象杆塔")
    private Integer isWeather;

    @ApiModelProperty(value = "杆塔回路（单回/双回/四回/六回）")
    private String circuit;

    @ApiModelProperty(value = "杆塔高度，单位m")
    private Double height;

    @ApiModelProperty(value = "杆塔呼高，单位m")
    private Double practicalHeight;

    @ApiModelProperty(value = "转角方向（左/右/否）否为无转角")
    private String cornerDirection;

    @ApiModelProperty(value = "转角角度")
    private String cornerNumber;

    @ApiModelProperty(value = "档距")
    private Double span;

    @ApiModelProperty(value = "投运时间")
    private Date servuceBegintime;

    @ApiModelProperty(value = "备注说明")
    private String remark;

    @ApiModelProperty(value = "是否存在文件")
    private Integer hasFile;

    @ApiModelProperty(value = "创建者id")
    private Integer creatorId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
