package com.macro.mall.tiny.modules.business.service.impl;

import com.macro.mall.tiny.common.service.RedisService;
import com.macro.mall.tiny.modules.business.model.BDirectory;
import com.macro.mall.tiny.modules.business.service.BDirectoryCacheService;
import com.macro.mall.tiny.security.util.AuthUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

/**
 * @author gjs
 * @description
 * @date 2021/4/1 18:08
 */
@Service
public class BDirectoryCacheServiceImpl implements BDirectoryCacheService {
    @Autowired
    private RedisService redisService;
    @Value("${redis.database}")
    private String REDIS_DATABASE;
    @Value("${redis.expire.common}")
    private Long REDIS_EXPIRE;
    @Value("${redis.key.directory}")
    private String REDIS_KEY_DIRECTORY;

    private String getKey() {
        final boolean access = AuthUtil.checkAccess(AuthUtil.ACCESS);
        return REDIS_DATABASE + ":" + REDIS_KEY_DIRECTORY + ":" + (access ? 1 : 0);
    }

    @Override
    public BDirectory getDirectory() {
        return (BDirectory) redisService.get(getKey());
    }

    @Override
    public void setDirectory(BDirectory directory) {
        redisService.set(getKey(), directory, REDIS_EXPIRE);
    }

    @Override
    public void delDirectoryAdmin() {
        redisService.del(getKey());
    }

    @Override
    public void delDirectory() {
        redisService.del(REDIS_DATABASE + ":" + REDIS_KEY_DIRECTORY + ":" + 0);
        redisService.del(REDIS_DATABASE + ":" + REDIS_KEY_DIRECTORY + ":" + 1);
    }
}
