package com.macro.mall.tiny.modules.business.service.impl;

import cn.hutool.json.JSONObject;
import com.macro.mall.tiny.modules.business.model.Weather;
import com.macro.mall.tiny.modules.business.service.CommonService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * @author gjs
 * @description
 * @date 2021/4/11 20:12
 */
@Service
@Slf4j
public class CommonServiceImpl implements CommonService {

    @Value("${weather.REQUEST_URL}")
    private String weatherUrl;

    @Value("${weather.KEY}")
    private String weatherKey;

    @Autowired
    private RestTemplate restTemplate;


    @Override
    public Weather getWeather(String lat, String lon) {
        String getParam = "?location=" + lon + "," + lat + "&key=" + weatherKey;
        ResponseEntity<JSONObject> responseEntity = restTemplate.getForEntity(weatherUrl + getParam, JSONObject.class);
        JSONObject entityBody = responseEntity.getBody();
        String code = entityBody.getStr("code");
        if ("200".equals(code)) {
            return entityBody.get("now", Weather.class);
        } else {
            log.error("获取实时天气数据失败，lat：{}，lon:{}，code：{}", lat, lon, code);
            return new Weather();
        }
    }

}
