package com.macro.mall.tiny.security.util;

import com.macro.mall.tiny.domain.AdminUserDetails;
import org.springframework.security.core.context.SecurityContextHolder;

/**
 * @author gjs
 * @description
 * @date 2021/3/29 22:01
 */
public class AuthUtil {

    public static final String COVER = "/cover";
    public static final String ACCESS = "/visit";
    public static final String DELETE = "/delete";

    public static boolean checkAccess(AdminUserDetails userDetails, String resource) {
        for (String url : userDetails.getResourceUrlList()) {
            if (resource.equals(url)) {
                return true;
            }
        }
        return false;
    }

    public static boolean checkAccess(String resource) {
        AdminUserDetails userDetails = (AdminUserDetails) SecurityContextHolder.getContext().getAuthentication().getPrincipal();
        return checkAccess(userDetails, resource);
    }
}
